---
lang: en
title: 'API docs: rest.parseoperationargs'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/rest
permalink: /doc/en/lb4/apidocs.rest.parseoperationargs.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/rest](./rest.md) &gt; [parseOperationArgs](./rest.parseoperationargs.md)

## parseOperationArgs() function

Parses the request to derive arguments to be passed in for the Application controller method

**Signature:**

```typescript
export declare function parseOperationArgs(request: Request, route: ResolvedRoute, requestBodyParser?: RequestBodyParser, options?: ValidationOptions): Promise<OperationArgs>;
```

## Parameters

<table><thead><tr><th>

Parameter


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

request


</td><td>

Request


</td><td>

Incoming HTTP request


</td></tr>
<tr><td>

route


</td><td>

[ResolvedRoute](./rest.resolvedroute.md)


</td><td>

Resolved Route


</td></tr>
<tr><td>

requestBodyParser


</td><td>

[RequestBodyParser](./rest.requestbodyparser.md)


</td><td>

_(Optional)_


</td></tr>
<tr><td>

options


</td><td>

[ValidationOptions](./rest.validationoptions.md)


</td><td>

_(Optional)_


</td></tr>
</tbody></table>
**Returns:**

Promise&lt;[OperationArgs](./rest.operationargs.md)<!-- -->&gt;


